local original = IntelTweakData.init

function IntelTweakData:init(tweak_data)
	original(self, tweak_data)

	self.category_index = {
		"raid_personnel",
		"opposition_forces",
		"control_archive",
		"bulletins",
		"operational_status"
	}

	self.categories.control_archive = {
		name_id = "category_control_archive_name_id",
		items = {{}}
	}
	for i = 1, 10 do
		self.categories.control_archive.items[i] = {
			id = "control_archive_" .. i,
			list_item_name_id = "control_archives_" .. i,
			texture = tweak_data.gui.icons.intel_table_archive.texture,
			texture_rect = tweak_data.gui.icons.intel_table_archive.texture_rect,
		}
	end
	self.categories.control_archive.items[1].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_a2_cause-carnage_v005" -- Shove it!
	
	self.categories.control_archive.items[2].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_b1_cause-carnage_v004" -- Top hole!

	self.categories.control_archive.items[3].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_b5_steal-valuables_cause-carnage_v004" -- Take the cane

	self.categories.control_archive.items[4].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_a5_rescue_v005" -- Spiffing!

	self.categories.control_archive.items[5].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_a1_demolition_v005" -- Another jaunt

	self.categories.control_archive.items[6].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_a3_ambush_v005" -- Little ambush

	self.categories.control_archive.items[7].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_b3_steal-intel_v004" -- Spot of info

	self.categories.control_archive.items[8].video_path =
		"movies/vanilla/mission_briefings/global/02_mission_brief_b2_assassination_v004" -- Good thrashing

	self.categories.control_archive.items[9].video_path =
		"movies/vanilla/mission_briefings/global/02_mission_brief_b4_steal-valuables_cause-carnage_v004" -- Spot on

	self.categories.control_archive.items[10].video_path =
		"movies/vanilla/mission_briefings/02_mission_brief_a4_infiltration_v004" -- Control video 10
end