function IntelGui:data_source_category_items_list()
	local result = {}
	local is_unlocked = true
	local data_source_table = tweak_data.intel.categories[self._selected_category].items

	if data_source_table then
		for list_item_index, list_item_data in pairs(data_source_table) do
			if self._selected_category == IntelGui.CATEGORY_OPERATIONAL_STATUS or self._selected_category == IntelGui.CATEGORY_BULLETINS then
				list_item_index = #data_source_table - list_item_index + 1
				list_item_data = data_source_table[list_item_index]
			else
				is_unlocked = true
			end

			if is_unlocked then
				if #result == 0 then
					table.insert(result, {
						selected = true,
						text = self:translate(list_item_data.list_item_name_id, false),
						value = list_item_data.id
					})
				else
					table.insert(result, {
						selected = false,
						text = self:translate(list_item_data.list_item_name_id, false),
						value = list_item_data.id
					})
				end
			end
		end
	end

	return result
end